Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update order

Updates order fields including addresses, payment information, and optionally replaces all order lines. Validates products and variants. Publishes an order updated event.

PATCH/api/v1/{team_slug}/{app_slug}/orders/{order_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

order_idstringrequired

Order ID (UUID)

Request body
requiredapplication/json

Order update data

billing_addressinternal_pkg_webserver_v1.InputOrderAddress
Show properties
citystring
country_codestring
emailstring
family_namestring
given_namestring
postal_codestring
state_or_provincestring
street_addressstring
street_address_2string
telephone_numberstring
bonus_totalnumber
min 0
country_codestring
currency_codestring
discount_totalnumber
min 0
gift_card_totalnumber
min 0
grand_totalnumber
min 0
language_codestring
linesinternal_pkg_webserver_v1.InputOrderLine[]
Show properties
Array of internal_pkg_webserver_v1.InputOrderLine
base_price_amountnumberrequired
min 0
currency_codestringrequired
product_idstringrequired
quantityintegerrequired
min 1
tax_group_idstring
total_discount_amountnumber
min 0
total_price_amountnumberrequired
min 0
total_tax_amountnumber
min 0
variant_idstringrequired
merchant_user_idstring
payment_methodstring
payment_method_idstring
payment_method_namestring
referencestring
session_idstring
shipping_addressinternal_pkg_webserver_v1.InputOrderAddress
Show properties
citystring
country_codestring
emailstring
family_namestring
given_namestring
postal_codestring
state_or_provincestring
street_addressstring
street_address_2string
telephone_numberstring
shipping_methodsstring[]
shipping_totalnumber
min 0
sourcestring
statusstring
Allowed:placedrefundedcompensatedreleaseddeliveredcancelled
sub_totalnumber
min 0
tax_totalnumber
min 0
Responses
200

Order updated successfully

datainternal_pkg_webserver_v1.OrderResponserequired
Show properties
billing_addressinternal_pkg_webserver_v1.OrderAddressResponse | null
Show properties
Any of:
internal_pkg_webserver_v1.OrderAddressResponse
address_typestring
citystring | null
country_codestring | null
created_atstring
emailstring | null
family_namestring | null
given_namestring | null
idstring
postal_codestring | null
state_or_provincestring | null
street_addressstring | null
street_address_2string | null
telephone_numberstring | null
updated_atstring | null
null
null
bonus_totalnumber | null
country_codestring | null
created_atstring
currency_codestring | null
discount_totalnumber | null
discountsinternal_pkg_webserver_v1.OrderDiscountResponse[] | null
Show properties
Array of internal_pkg_webserver_v1.OrderDiscountResponse
created_atstring
discount_idstring
idstring
namestring
order_idstring
updated_atstring | null
gift_card_totalnumber | null
grand_totalnumber | null
idstring
language_codestring | null
merchant_userinternal_pkg_webserver_v1.MerchantUserSummaryResponse | null
Show properties
Any of:
internal_pkg_webserver_v1.MerchantUserSummaryResponse
emailstring
idstring
namestring
surnamestring
null
null
order_linesinternal_pkg_webserver_v1.OrderLineResponse[] | null
Show properties
Array of internal_pkg_webserver_v1.OrderLineResponse
base_price_amountnumber | null
created_atstring
currency_codestring | null
first_image_pathstring
idstring
order_idstring
product_idstring | null
product_namestring
product_numberstring
quantityinteger | null
short_descriptionstring
tax_group_idstring | null
total_discount_amountnumber | null
total_price_amountnumber | null
total_sale_pricenumber | null
total_tax_amountnumber | null
updated_atstring | null
variant_idstring | null
variant_namestring
variant_numberstring
order_tracking_referencestring | null
payment_methodstring | null
payment_method_idstring | null
payment_method_namestring | null
referencestring | null
session_idstring | null
shipping_addressinternal_pkg_webserver_v1.OrderAddressResponse | null
Show properties
Any of:
internal_pkg_webserver_v1.OrderAddressResponse
address_typestring
citystring | null
country_codestring | null
created_atstring
emailstring | null
family_namestring | null
given_namestring | null
idstring
postal_codestring | null
state_or_provincestring | null
street_addressstring | null
street_address_2string | null
telephone_numberstring | null
updated_atstring | null
null
null
shipping_methodsstring[] | null
shipping_totalnumber | null
sourcestring
sub_totalnumber | null
tax_totalnumber | null
updated_atstring | null
user_contentinternal_pkg_webserver_v1.OrderUserContent[] | null
Show properties
Array of internal_pkg_webserver_v1.OrderUserContent
content_typestring
filenamestring
idstring
urlstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (validation error, product/variant not found)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Order not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/orders/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "billing_address": {
    "city": "string",
    "country_code": "string",
    "email": "string",
    "family_name": "string",
    "given_name": "string",
    "postal_code": "string",
    "state_or_province": "string",
    "street_address": "string",
    "street_address_2": "string",
    "telephone_number": "string"
  },
  "bonus_total": 0,
  "country_code": "string",
  "currency_code": "string",
  "discount_total": 0,
  "gift_card_total": 0,
  "grand_total": 0,
  "language_code": "string",
  "lines": [
    {
      "base_price_amount": 0,
      "currency_code": "string",
      "product_id": "string",
      "quantity": 1,
      "tax_group_id": "string",
      "total_discount_amount": 0,
      "total_price_amount": 0,
      "total_tax_amount": 0,
      "variant_id": "string"
    }
  ],
  "merchant_user_id": "string",
  "payment_method": "string",
  "payment_method_id": "string",
  "payment_method_name": "string",
  "reference": "string",
  "session_id": "string",
  "shipping_address": {
    "city": "string",
    "country_code": "string",
    "email": "string",
    "family_name": "string",
    "given_name": "string",
    "postal_code": "string",
    "state_or_province": "string",
    "street_address": "string",
    "street_address_2": "string",
    "telephone_number": "string"
  },
  "shipping_methods": [
    "string"
  ],
  "shipping_total": 0,
  "source": "string",
  "status": "placed",
  "sub_total": 0,
  "tax_total": 0
}'
Response
{
  "data": {
    "billing_address": {
      "address_type": "string",
      "city": "string",
      "country_code": "string",
      "created_at": "string",
      "email": "string",
      "family_name": "string",
      "given_name": "string",
      "id": "string",
      "postal_code": "string",
      "state_or_province": "string",
      "street_address": "string",
      "street_address_2": "string",
      "telephone_number": "string",
      "updated_at": "string"
    },
    "bonus_total": 0,
    "country_code": "string",
    "created_at": "string",
    "currency_code": "string",
    "discount_total": 0,
    "discounts": [
      {
        "created_at": "string",
        "discount_id": "string",
        "id": "string",
        "name": "string",
        "order_id": "string",
        "updated_at": "string"
      }
    ],
    "gift_card_total": 0,
    "grand_total": 0,
    "id": "string",
    "language_code": "string",
    "merchant_user": {
      "email": "string",
      "id": "string",
      "name": "string",
      "surname": "string"
    },
    "order_lines": [
      {
        "base_price_amount": 0,
        "created_at": "string",
        "currency_code": "string",
        "first_image_path": "string",
        "id": "string",
        "order_id": "string",
        "product_id": "string",
        "product_name": "string",
        "product_number": "string",
        "quantity": 0,
        "short_description": "string",
        "tax_group_id": "string",
        "total_discount_amount": 0,
        "total_price_amount": 0,
        "total_sale_price": 0,
        "total_tax_amount": 0,
        "updated_at": "string",
        "variant_id": "string",
        "variant_name": "string",
        "variant_number": "string"
      }
    ],
    "order_tracking_reference": "string",
    "payment_method": "string",
    "payment_method_id": "string",
    "payment_method_name": "string",
    "reference": "string",
    "session_id": "string",
    "shipping_address": {
      "address_type": "string",
      "city": "string",
      "country_code": "string",
      "created_at": "string",
      "email": "string",
      "family_name": "string",
      "given_name": "string",
      "id": "string",
      "postal_code": "string",
      "state_or_province": "string",
      "street_address": "string",
      "street_address_2": "string",
      "telephone_number": "string",
      "updated_at": "string"
    },
    "shipping_methods": [
      "string"
    ],
    "shipping_total": 0,
    "source": "string",
    "sub_total": 0,
    "tax_total": 0,
    "updated_at": "string",
    "user_content": [
      {
        "content_type": "string",
        "filename": "string",
        "id": "string",
        "url": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}